package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.supply.domain.DrpSupplierDeliver;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

public class DrpOrderGoodsVO extends DrpOrderGoodsPageVO {
   @ApiModelProperty("明细信息")
   private List<DrpOrderGoodsDetailVO> detailList;
   @ApiModelProperty("备注说明")
   private String remark;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库id")
   private String warehouseName;
   @ApiModelProperty("仓库地址")
   private String warehouseAddress;
   @ApiModelProperty("订单标题")
   private String orderTitle;
   @ApiModelProperty("采购审批状态(1待审核,2审批中,3审批通过,4审批不通过)")
   private Integer approveStatus;
   @ApiModelProperty("审批流程id")
   private Long processInstanceId;
   @ApiModelProperty("供应商待确认状态(1待确认,2确认通过,3已拒绝)")
   private Integer supplierConfirmStatus;
   @ApiModelProperty("订单数量")
   private BigDecimal totalNum;
   @ApiModelProperty("入库数量")
   private BigDecimal totalIntoNum;
   @ApiModelProperty("送货人集合")
   private List<DrpSupplierDeliver> drpSupplierDeliverList;
   @ApiModelProperty("付款方式")
   private DrpOrderGoodsPayStyleVO drpOrderGoodsPayStyleVO;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private String stallId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("供应商确认时间")
   private LocalDateTime confirmTime;
   @ApiModelProperty("供应商确认备注")
   private String confirmRemark;

   public List<DrpOrderGoodsDetailVO> getDetailList() {
      return this.detailList;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getWarehouseAddress() {
      return this.warehouseAddress;
   }

   public String getOrderTitle() {
      return this.orderTitle;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Integer getSupplierConfirmStatus() {
      return this.supplierConfirmStatus;
   }

   public BigDecimal getTotalNum() {
      return this.totalNum;
   }

   public BigDecimal getTotalIntoNum() {
      return this.totalIntoNum;
   }

   public List<DrpSupplierDeliver> getDrpSupplierDeliverList() {
      return this.drpSupplierDeliverList;
   }

   public DrpOrderGoodsPayStyleVO getDrpOrderGoodsPayStyleVO() {
      return this.drpOrderGoodsPayStyleVO;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getStallId() {
      return this.stallId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getConfirmTime() {
      return this.confirmTime;
   }

   public String getConfirmRemark() {
      return this.confirmRemark;
   }

   public void setDetailList(final List<DrpOrderGoodsDetailVO> detailList) {
      this.detailList = detailList;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setWarehouseAddress(final String warehouseAddress) {
      this.warehouseAddress = warehouseAddress;
   }

   public void setOrderTitle(final String orderTitle) {
      this.orderTitle = orderTitle;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
   }

   public void setSupplierConfirmStatus(final Integer supplierConfirmStatus) {
      this.supplierConfirmStatus = supplierConfirmStatus;
   }

   public void setTotalNum(final BigDecimal totalNum) {
      this.totalNum = totalNum;
   }

   public void setTotalIntoNum(final BigDecimal totalIntoNum) {
      this.totalIntoNum = totalIntoNum;
   }

   public void setDrpSupplierDeliverList(final List<DrpSupplierDeliver> drpSupplierDeliverList) {
      this.drpSupplierDeliverList = drpSupplierDeliverList;
   }

   public void setDrpOrderGoodsPayStyleVO(final DrpOrderGoodsPayStyleVO drpOrderGoodsPayStyleVO) {
      this.drpOrderGoodsPayStyleVO = drpOrderGoodsPayStyleVO;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final String stallId) {
      this.stallId = stallId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setConfirmTime(final LocalDateTime confirmTime) {
      this.confirmTime = confirmTime;
   }

   public void setConfirmRemark(final String confirmRemark) {
      this.confirmRemark = confirmRemark;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getDetailList());
      return "DrpOrderGoodsVO(detailList=" + var10000 + ", remark=" + this.getRemark() + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", warehouseAddress=" + this.getWarehouseAddress() + ", orderTitle=" + this.getOrderTitle() + ", approveStatus=" + this.getApproveStatus() + ", processInstanceId=" + this.getProcessInstanceId() + ", supplierConfirmStatus=" + this.getSupplierConfirmStatus() + ", totalNum=" + String.valueOf(this.getTotalNum()) + ", totalIntoNum=" + String.valueOf(this.getTotalIntoNum()) + ", drpSupplierDeliverList=" + String.valueOf(this.getDrpSupplierDeliverList()) + ", drpOrderGoodsPayStyleVO=" + String.valueOf(this.getDrpOrderGoodsPayStyleVO()) + ", canteenId=" + this.getCanteenId() + ", stallId=" + this.getStallId() + ", canteenName=" + this.getCanteenName() + ", stallName=" + this.getStallName() + ", crby=" + this.getCrby() + ", confirmTime=" + String.valueOf(this.getConfirmTime()) + ", confirmRemark=" + this.getConfirmRemark() + ")";
   }

}
